# Created by pyp2rpm-3.3.2
%global pypi_name codecov

Name:           python-%{pypi_name}
Version:        2.0.16
Release:        1%{?dist}
Summary:        Hosted coverage reports for GitHub, Bitbucket and Gitlab

License:        http://www.apache.org/licenses/LICENSE-2.0
URL:            https://github.com/codecov/codecov-python
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(coverage)
Requires:       python3dist(requests) >= 2.7.9
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/codecov
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Mar 02 2020 mockbuilder - 2.0.16-1
- Initial package.